### Enumeration

# Gimp BrushGeneratedShape

#### Declaration

    enum Gimp.BrushGeneratedShape

#### Description [src]

Shapes of generated brushes.

#### Members

`GIMP_BRUSH_GENERATED_CIRCLE`

  Circle.

  - Value: `0`
  - Available since: 3.0
`GIMP_BRUSH_GENERATED_SQUARE`

  Square.

  - Value: `1`
  - Available since: 3.0
`GIMP_BRUSH_GENERATED_DIAMOND`

  Diamond.

  - Value: `2`
  - Available since: 3.0